Bug 1761620 - dnf update error: arguments to dbus_connection_close() were incorrect, assertion "connection->generation == _dbus_current_generation" failed in file ../../dbus/dbus-connection.c line 2936.
Summary: dnf update error: arguments to dbus_connection_close() were incorrect, assert...
Keywords:
Status: CLOSED DUPLICATE of bug 1750575
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 31
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1786127
TreeView+ depends on / blocked
 
Reported: 2019-10-14 22:28 UTC by Johannes Pfrang
Modified: 2020-01-10 08:30 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-10 08:30:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Johannes Pfrang 2019-10-14 22:28:20 UTC
Description of problem: After upgrading from F30 to F31, dnf occasionally causes an error when installing packages from updates-testing.


Version-Release number of selected component (if applicable): dnf-0:4.2.9-4.fc31.noarch


How reproducible:

After upgrading from F30 to F31 and I first updated kernel to 5.3.5-300.fc31 and systemd to 243-3.gitef67743.fc31 from updates-testing without any issues and then installed some more miscellaneous updates-testing packages and got this:

Actual results:

$ sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2019-8a67958d27  --advisory=FEDORA-2019-2563cbbf67 --advisory=FEDORA-2019-575dc4e836 --advisory=FEDORA-2019-5adca37a25 --advisory=FEDORA-2019-dceb2f8800 
Alias tip: dnfu --enablerepo=updates-testing --advisory=FEDORA-2019-8a67958d27  --advisory=FEDORA-2019-2563cbbf67 --advisory=FEDORA-2019-575dc4e836 --advisory=FEDORA-2019-5adca37a25 --advisory=FEDORA-2019-dceb2f8800
Last metadata expiration check: 0:02:40 ago on Sa 12 Okt 2019 18:07:18 CEST.
Dependencies resolved.
=============================================================================================================================================================================================
 Package                                              Architecture                        Version                                         Repository                                    Size
=============================================================================================================================================================================================
Upgrading:
 f31-backgrounds-base                                 noarch                              31.0.4-1.fc31                                   updates-testing                               36 M
 f31-backgrounds-kde                                  noarch                              31.0.4-1.fc31                                   updates-testing                               12 k
 mesa-dri-drivers                                     i686                                19.2.1-2.fc31                                   updates-testing                               17 M
 mesa-dri-drivers                                     x86_64                              19.2.1-2.fc31                                   updates-testing                               16 M
 mesa-filesystem                                      i686                                19.2.1-2.fc31                                   updates-testing                               17 k
 mesa-filesystem                                      x86_64                              19.2.1-2.fc31                                   updates-testing                               17 k
 mesa-libEGL                                          x86_64                              19.2.1-2.fc31                                   updates-testing                              122 k
 mesa-libGL                                           i686                                19.2.1-2.fc31                                   updates-testing                              192 k
 mesa-libGL                                           x86_64                              19.2.1-2.fc31                                   updates-testing                              180 k
 mesa-libGLES                                         x86_64                              19.2.1-2.fc31                                   updates-testing                               15 k
 mesa-libOSMesa                                       x86_64                              19.2.1-2.fc31                                   updates-testing                              2.8 M
 mesa-libOpenCL                                       x86_64                              19.2.1-2.fc31                                   updates-testing                              339 k
 mesa-libgbm                                          x86_64                              19.2.1-2.fc31                                   updates-testing                               42 k
 mesa-libglapi                                        i686                                19.2.1-2.fc31                                   updates-testing                               55 k
 mesa-libglapi                                        x86_64                              19.2.1-2.fc31                                   updates-testing                               57 k
 mesa-vdpau-drivers                                   x86_64                              19.2.1-2.fc31                                   updates-testing                              2.7 M
 mesa-vulkan-drivers                                  i686                                19.2.1-2.fc31                                   updates-testing                              2.7 M
 mesa-vulkan-drivers                                  x86_64                              19.2.1-2.fc31                                   updates-testing                              2.5 M
 qt5-qtdeclarative                                    x86_64                              5.12.5-3.fc31                                   updates-testing                              3.7 M
 selinux-policy                                       noarch                              3.14.4-37.fc31                                  updates-testing                              130 k
 selinux-policy-targeted                              noarch                              3.14.4-37.fc31                                  updates-testing                               13 M
 youtube-dl                                           noarch                              2019.09.28-1.fc31                               updates-testing                              2.3 M

Transaction Summary
=============================================================================================================================================================================================
Upgrade  22 Packages

Total download size: 100 M
Is this ok [y/N]: y
Downloading Packages:
(1/22): f31-backgrounds-kde-31.0.4-1.fc31.noarch.rpm                                                                                                         128 kB/s |  12 kB     00:00    
(2/22): mesa-filesystem-19.2.1-2.fc31.x86_64.rpm                                                                                                             100 kB/s |  17 kB     00:00    
(3/22): mesa-filesystem-19.2.1-2.fc31.i686.rpm                                                                                                               100 kB/s |  17 kB     00:00    
(4/22): mesa-libGLES-19.2.1-2.fc31.x86_64.rpm                                                                                                                 87 kB/s |  15 kB     00:00    
(5/22): mesa-libglapi-19.2.1-2.fc31.i686.rpm                                                                                                                 618 kB/s |  55 kB     00:00    
(6/22): mesa-libEGL-19.2.1-2.fc31.x86_64.rpm                                                                                                                 427 kB/s | 122 kB     00:00    
(7/22): mesa-libGL-19.2.1-2.fc31.x86_64.rpm                                                                                                                  624 kB/s | 180 kB     00:00    
(8/22): mesa-libglapi-19.2.1-2.fc31.x86_64.rpm                                                                                                               615 kB/s |  57 kB     00:00    
(9/22): mesa-libGL-19.2.1-2.fc31.i686.rpm                                                                                                                    450 kB/s | 192 kB     00:00    
(10/22): mesa-libgbm-19.2.1-2.fc31.x86_64.rpm                                                                                                                 86 kB/s |  42 kB     00:00    
(11/22): selinux-policy-3.14.4-37.fc31.noarch.rpm                                                                                                            170 kB/s | 130 kB     00:00    
(12/22): mesa-libOpenCL-19.2.1-2.fc31.x86_64.rpm                                                                                                             205 kB/s | 339 kB     00:01    
(13/22): mesa-libOSMesa-19.2.1-2.fc31.x86_64.rpm                                                                                                             697 kB/s | 2.8 MB     00:04    
(14/22): mesa-vulkan-drivers-19.2.1-2.fc31.x86_64.rpm                                                                                                        488 kB/s | 2.5 MB     00:05    
(15/22): mesa-vulkan-drivers-19.2.1-2.fc31.i686.rpm                                                                                                          397 kB/s | 2.7 MB     00:06    
(16/22): qt5-qtdeclarative-5.12.5-3.fc31.x86_64.rpm                                                                                                          499 kB/s | 3.7 MB     00:07    
(17/22): mesa-vdpau-drivers-19.2.1-2.fc31.x86_64.rpm                                                                                                         330 kB/s | 2.7 MB     00:08    
(18/22): youtube-dl-2019.09.28-1.fc31.noarch.rpm                                                                                                             294 kB/s | 2.3 MB     00:07    
(19/22): mesa-dri-drivers-19.2.1-2.fc31.i686.rpm                                                                                                             981 kB/s |  17 MB     00:18    
(20/22): selinux-policy-targeted-3.14.4-37.fc31.noarch.rpm                                                                                                   488 kB/s |  13 MB     00:27    
(21/22): mesa-dri-drivers-19.2.1-2.fc31.x86_64.rpm                                                                                                           549 kB/s |  16 MB     00:30    
(22/22): f31-backgrounds-base-31.0.4-1.fc31.noarch.rpm                                                                                                       1.2 MB/s |  36 MB     00:30    
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                        3.2 MB/s | 100 MB     00:31     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Running scriptlet: selinux-policy-targeted-3.14.4-37.fc31.noarch                                                                                                                       1/1 
  Preparing        :                                                                                                                                                                     1/1 
  Upgrading        : mesa-libglapi-19.2.1-2.fc31.x86_64                                                                                                                                 1/44 
  Upgrading        : mesa-libgbm-19.2.1-2.fc31.x86_64                                                                                                                                   2/44 
  Upgrading        : mesa-filesystem-19.2.1-2.fc31.x86_64                                                                                                                               3/44 
  Upgrading        : selinux-policy-3.14.4-37.fc31.noarch                                                                                                                               4/44 
  Running scriptlet: selinux-policy-3.14.4-37.fc31.noarch                                                                                                                               4/44 
  Upgrading        : mesa-filesystem-19.2.1-2.fc31.i686                                                                                                                                 5/44 
  Upgrading        : f31-backgrounds-base-31.0.4-1.fc31.noarch                                                                                                                          6/44 
  Upgrading        : mesa-libglapi-19.2.1-2.fc31.i686                                                                                                                                   7/44 
  Upgrading        : f31-backgrounds-kde-31.0.4-1.fc31.noarch                                                                                                                           8/44 
  Running scriptlet: selinux-policy-targeted-3.14.4-37.fc31.noarch                                                                                                                      9/44 
  Upgrading        : selinux-policy-targeted-3.14.4-37.fc31.noarch                                                                                                                      9/44 
  Running scriptlet: selinux-policy-targeted-3.14.4-37.fc31.noarch                                                                                                                      9/44 
  Upgrading        : mesa-dri-drivers-19.2.1-2.fc31.x86_64                                                                                                                             10/44 
  Upgrading        : mesa-vdpau-drivers-19.2.1-2.fc31.x86_64                                                                                                                           11/44 
  Upgrading        : mesa-libEGL-19.2.1-2.fc31.x86_64                                                                                                                                  12/44 
  Upgrading        : mesa-libOpenCL-19.2.1-2.fc31.x86_64                                                                                                                               13/44 
  Upgrading        : mesa-libGL-19.2.1-2.fc31.x86_64                                                                                                                                   14/44 
  Upgrading        : mesa-libGLES-19.2.1-2.fc31.x86_64                                                                                                                                 15/44 
  Upgrading        : mesa-libOSMesa-19.2.1-2.fc31.x86_64                                                                                                                               16/44 
  Upgrading        : youtube-dl-2019.09.28-1.fc31.noarch                                                                                                                               17/44 
  Upgrading        : qt5-qtdeclarative-5.12.5-3.fc31.x86_64                                                                                                                            18/44 
  Upgrading        : mesa-vulkan-drivers-19.2.1-2.fc31.x86_64                                                                                                                          19/44 
  Upgrading        : mesa-dri-drivers-19.2.1-2.fc31.i686                                                                                                                               20/44 
  Upgrading        : mesa-libGL-19.2.1-2.fc31.i686                                                                                                                                     21/44 
  Upgrading        : mesa-vulkan-drivers-19.2.1-2.fc31.i686                                                                                                                            22/44 
  Cleanup          : selinux-policy-targeted-3.14.4-35.fc31.noarch                                                                                                                     23/44 
  Running scriptlet: selinux-policy-targeted-3.14.4-35.fc31.noarch                                                                                                                     23/44 
  Cleanup          : mesa-libGL-19.2.0-1.fc31.i686                                                                                                                                     24/44 
  Cleanup          : mesa-dri-drivers-19.2.0-1.fc31.i686                                                                                                                               25/44 
  Cleanup          : mesa-libGLES-19.2.0-1.fc31.x86_64                                                                                                                                 26/44 
  Cleanup          : f31-backgrounds-kde-31.0.3-1.fc31.noarch                                                                                                                          27/44 
  Cleanup          : mesa-libOSMesa-19.2.0-1.fc31.x86_64                                                                                                                               28/44 
  Cleanup          : mesa-libGL-19.2.0-1.fc31.x86_64                                                                                                                                   29/44 
  Cleanup          : mesa-libEGL-19.2.0-1.fc31.x86_64                                                                                                                                  30/44 
  Cleanup          : mesa-dri-drivers-19.2.0-1.fc31.x86_64                                                                                                                             31/44 
  Cleanup          : mesa-vdpau-drivers-19.2.0-1.fc31.x86_64                                                                                                                           32/44 
  Cleanup          : mesa-libOpenCL-19.2.0-1.fc31.x86_64                                                                                                                               33/44 
  Cleanup          : mesa-filesystem-19.2.0-1.fc31.x86_64                                                                                                                              34/44 
  Cleanup          : f31-backgrounds-base-31.0.3-1.fc31.noarch                                                                                                                         35/44 
  Cleanup          : mesa-libglapi-19.2.0-1.fc31.i686                                                                                                                                  36/44 
  Cleanup          : mesa-filesystem-19.2.0-1.fc31.i686                                                                                                                                37/44 
  Cleanup          : selinux-policy-3.14.4-35.fc31.noarch                                                                                                                              38/44 
  Running scriptlet: selinux-policy-3.14.4-35.fc31.noarch                                                                                                                              38/44 
  Cleanup          : youtube-dl-2019.09.12.1-1.fc31.noarch                                                                                                                             39/44 
  Cleanup          : mesa-vulkan-drivers-19.2.0-1.fc31.i686                                                                                                                            40/44 
  Cleanup          : mesa-libgbm-19.2.0-1.fc31.x86_64                                                                                                                                  41/44 
  Cleanup          : mesa-libglapi-19.2.0-1.fc31.x86_64                                                                                                                                42/44 
  Cleanup          : qt5-qtdeclarative-5.12.5-1.fc31.x86_64                                                                                                                            43/44 
  Cleanup          : mesa-vulkan-drivers-19.2.0-1.fc31.x86_64                                                                                                                          44/44 
  Running scriptlet: selinux-policy-targeted-3.14.4-37.fc31.noarch                                                                                                                     44/44 
  Running scriptlet: mesa-vulkan-drivers-19.2.0-1.fc31.x86_64                                                                                                                          44/44 
  Verifying        : f31-backgrounds-base-31.0.4-1.fc31.noarch                                                                                                                          1/44 
  Verifying        : f31-backgrounds-base-31.0.3-1.fc31.noarch                                                                                                                          2/44 
  Verifying        : f31-backgrounds-kde-31.0.4-1.fc31.noarch                                                                                                                           3/44 
  Verifying        : f31-backgrounds-kde-31.0.3-1.fc31.noarch                                                                                                                           4/44 
  Verifying        : mesa-dri-drivers-19.2.1-2.fc31.i686                                                                                                                                5/44 
  Verifying        : mesa-dri-drivers-19.2.0-1.fc31.i686                                                                                                                                6/44 
  Verifying        : mesa-dri-drivers-19.2.1-2.fc31.x86_64                                                                                                                              7/44 
  Verifying        : mesa-dri-drivers-19.2.0-1.fc31.x86_64                                                                                                                              8/44 
  Verifying        : mesa-filesystem-19.2.1-2.fc31.i686                                                                                                                                 9/44 
  Verifying        : mesa-filesystem-19.2.0-1.fc31.i686                                                                                                                                10/44 
  Verifying        : mesa-filesystem-19.2.1-2.fc31.x86_64                                                                                                                              11/44 
  Verifying        : mesa-filesystem-19.2.0-1.fc31.x86_64                                                                                                                              12/44 
  Verifying        : mesa-libEGL-19.2.1-2.fc31.x86_64                                                                                                                                  13/44 
  Verifying        : mesa-libEGL-19.2.0-1.fc31.x86_64                                                                                                                                  14/44 
  Verifying        : mesa-libGL-19.2.1-2.fc31.i686                                                                                                                                     15/44 
  Verifying        : mesa-libGL-19.2.0-1.fc31.i686                                                                                                                                     16/44 
  Verifying        : mesa-libGL-19.2.1-2.fc31.x86_64                                                                                                                                   17/44 
  Verifying        : mesa-libGL-19.2.0-1.fc31.x86_64                                                                                                                                   18/44 
  Verifying        : mesa-libGLES-19.2.1-2.fc31.x86_64                                                                                                                                 19/44 
  Verifying        : mesa-libGLES-19.2.0-1.fc31.x86_64                                                                                                                                 20/44 
  Verifying        : mesa-libOSMesa-19.2.1-2.fc31.x86_64                                                                                                                               21/44 
  Verifying        : mesa-libOSMesa-19.2.0-1.fc31.x86_64                                                                                                                               22/44 
  Verifying        : mesa-libOpenCL-19.2.1-2.fc31.x86_64                                                                                                                               23/44 
  Verifying        : mesa-libOpenCL-19.2.0-1.fc31.x86_64                                                                                                                               24/44 
  Verifying        : mesa-libgbm-19.2.1-2.fc31.x86_64                                                                                                                                  25/44 
  Verifying        : mesa-libgbm-19.2.0-1.fc31.x86_64                                                                                                                                  26/44 
  Verifying        : mesa-libglapi-19.2.1-2.fc31.i686                                                                                                                                  27/44 
  Verifying        : mesa-libglapi-19.2.0-1.fc31.i686                                                                                                                                  28/44 
  Verifying        : mesa-libglapi-19.2.1-2.fc31.x86_64                                                                                                                                29/44 
  Verifying        : mesa-libglapi-19.2.0-1.fc31.x86_64                                                                                                                                30/44 
  Verifying        : mesa-vdpau-drivers-19.2.1-2.fc31.x86_64                                                                                                                           31/44 
  Verifying        : mesa-vdpau-drivers-19.2.0-1.fc31.x86_64                                                                                                                           32/44 
  Verifying        : mesa-vulkan-drivers-19.2.1-2.fc31.i686                                                                                                                            33/44 
  Verifying        : mesa-vulkan-drivers-19.2.0-1.fc31.i686                                                                                                                            34/44 
  Verifying        : mesa-vulkan-drivers-19.2.1-2.fc31.x86_64                                                                                                                          35/44 
  Verifying        : mesa-vulkan-drivers-19.2.0-1.fc31.x86_64                                                                                                                          36/44 
  Verifying        : qt5-qtdeclarative-5.12.5-3.fc31.x86_64                                                                                                                            37/44 
  Verifying        : qt5-qtdeclarative-5.12.5-1.fc31.x86_64                                                                                                                            38/44 
  Verifying        : selinux-policy-3.14.4-37.fc31.noarch                                                                                                                              39/44 
  Verifying        : selinux-policy-3.14.4-35.fc31.noarch                                                                                                                              40/44 
  Verifying        : selinux-policy-targeted-3.14.4-37.fc31.noarch                                                                                                                     41/44 
  Verifying        : selinux-policy-targeted-3.14.4-35.fc31.noarch                                                                                                                     42/44 
  Verifying        : youtube-dl-2019.09.28-1.fc31.noarch                                                                                                                               43/44 
  Verifying        : youtube-dl-2019.09.12.1-1.fc31.noarch                                                                                                                             44/44 
You should restart:
  * Some applications using:
      kdeinit4
      sudo systemctl restart sddm
      sudo systemctl restart systemd-logind
      sudo systemctl restart systemd-udevd

  * These applications manually:
      (sd-pam)
      GPU Process
      firefox-bin
      jetbrains-toolbox-helper --type=gp
      kaccess
      kdeconnectd
      kded5
      kglobalaccel5
      konsole
      krunner
      ksmserver
      kwalletd5
      plasmashell
      polkit-kde-authentication-agent-1
      redshift-gtk
      seapplet

Additionally to those process above, there are:
  - 1 processes requiring restart of your session (i.e. Logging out & Logging in again)
  - 2 processes requiring reboot

For more information run:
    sudo tracer -iat 1570896597.398583

Upgraded:
  f31-backgrounds-base-31.0.4-1.fc31.noarch          f31-backgrounds-kde-31.0.4-1.fc31.noarch      mesa-dri-drivers-19.2.1-2.fc31.i686         mesa-dri-drivers-19.2.1-2.fc31.x86_64       
  mesa-filesystem-19.2.1-2.fc31.i686                 mesa-filesystem-19.2.1-2.fc31.x86_64          mesa-libEGL-19.2.1-2.fc31.x86_64            mesa-libGL-19.2.1-2.fc31.i686               
  mesa-libGL-19.2.1-2.fc31.x86_64                    mesa-libGLES-19.2.1-2.fc31.x86_64             mesa-libOSMesa-19.2.1-2.fc31.x86_64         mesa-libOpenCL-19.2.1-2.fc31.x86_64         
  mesa-libgbm-19.2.1-2.fc31.x86_64                   mesa-libglapi-19.2.1-2.fc31.i686              mesa-libglapi-19.2.1-2.fc31.x86_64          mesa-vdpau-drivers-19.2.1-2.fc31.x86_64     
  mesa-vulkan-drivers-19.2.1-2.fc31.i686             mesa-vulkan-drivers-19.2.1-2.fc31.x86_64      qt5-qtdeclarative-5.12.5-3.fc31.x86_64      selinux-policy-3.14.4-37.fc31.noarch        
  selinux-policy-targeted-3.14.4-37.fc31.noarch      youtube-dl-2019.09.28-1.fc31.noarch          

Complete!
dbus[21497]: arguments to dbus_connection_close() were incorrect, assertion "connection->generation == _dbus_current_generation" failed in file ../../dbus/dbus-connection.c line 2936.
This is normally a bug in some application using the D-Bus library.

  D-Bus not built with -rdynamic so unable to print a backtrace
[1]    21495 abort      sudo dnf upgrade --enablerepo=updates-testing


================================================================================


Expected results:

Not getting the error.


Additional info:

RHEL8 has a related bug-report: Bug 1752965 

Relevant journal entries:

Okt 12 18:11:38 johnp-pc audit[21497]: ANOM_ABEND auid=1000 uid=0 gid=0 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=21497 comm="dnf" exe="/usr/bin/python3.7" sig=6 res=1
Okt 12 18:11:38 johnp-pc systemd[1]: Created slice system-systemd\x2dcoredump.slice.
-- Subject: A start job for unit system-systemd\x2dcoredump.slice has finished successfully
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- A start job for unit system-systemd\x2dcoredump.slice has finished successfully.
-- 
-- The job identifier is 3727.
Okt 12 18:11:38 johnp-pc systemd[1]: Started Process Core Dump (PID 22737/UID 0).
-- Subject: A start job for unit systemd-coredump@0-22737-0.service has finished successfully
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- A start job for unit systemd-coredump@0-22737-0.service has finished successfully.
-- 
-- The job identifier is 3722.
Okt 12 18:11:38 johnp-pc audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@0-22737-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Okt 12 18:11:38 johnp-pc sudo[21495]: pam_unix(sudo:session): session closed for user root
Okt 12 18:11:38 johnp-pc audit[21495]: USER_END pid=21495 uid=0 auid=1000 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:session_close grantors=pam_keyinit,pam_limits,pam_keyinit,pam_limits,pam_systemd,pam_unix acct="root" exe="/usr/bin/sudo" hostname=? addr=? terminal=/dev/pts/2 res=success'
Okt 12 18:11:38 johnp-pc audit[21495]: CRED_DISP pid=21495 uid=0 auid=1000 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_env,pam_unix acct="root" exe="/usr/bin/sudo" hostname=? addr=? terminal=/dev/pts/2 res=success'
Okt 12 18:11:38 johnp-pc audit[21495]: ANOM_ABEND auid=1000 uid=0 gid=0 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=21495 comm="sudo" exe="/usr/bin/sudo" sig=6 res=1
Okt 12 18:11:38 johnp-pc systemd-coredump[22738]: Process 21497 (dnf) of user 0 dumped core.
                                                  
                                                  Stack trace of thread 21497:
                                                  #0  0x00007f150b09a625 raise (libc.so.6)
                                                  #1  0x00007f150b0838d9 abort (libc.so.6)
                                                  #2  0x00007f14f9c58b32 _dbus_abort.cold (libdbus-1.so.3)
                                                  #3  0x00007f14f9c7b1c0 _dbus_warn_check_failed (libdbus-1.so.3)
                                                  #4  0x00007f14f9ca86e0 Connection_tp_dealloc (_dbus_bindings.so)
                                                  #5  0x00007f150ae745f9 subtype_dealloc (libpython3.7m.so.1.0)
                                                  #6  0x00007f150ae08a6f dict_dealloc (libpython3.7m.so.1.0)
                                                  #7  0x00007f150adfb29d free_keys_object (libpython3.7m.so.1.0)
                                                  #8  0x00007f150adfeb96 type_clear (libpython3.7m.so.1.0)
                                                  #9  0x00007f150ae0c178 collect (libpython3.7m.so.1.0)
                                                  #10 0x00007f150af14122 _PyGC_CollectNoFail (libpython3.7m.so.1.0)
                                                  #11 0x00007f150af16a80 PyImport_Cleanup (libpython3.7m.so.1.0)
                                                  #12 0x00007f150af17e48 Py_FinalizeEx (libpython3.7m.so.1.0)
                                                  #13 0x00007f150af17f88 Py_Exit (libpython3.7m.so.1.0)
                                                  #14 0x00007f150af18043 handle_system_exit (libpython3.7m.so.1.0)
                                                  #15 0x00007f150af180e6 PyErr_PrintEx (libpython3.7m.so.1.0)
                                                  #16 0x00007f150adf4c01 PyRun_SimpleFileExFlags.cold (libpython3.7m.so.1.0)
                                                  #17 0x00007f150af1a251 pymain_main (libpython3.7m.so.1.0)
                                                  #18 0x00007f150af1a3fc _Py_UnixMain (libpython3.7m.so.1.0)
                                                  #19 0x00007f150b0851a3 __libc_start_main (libc.so.6)
                                                  #20 0x000056018324b08e _start (python3.7)
-- Subject: Process 21497 (dnf) dumped core
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- Documentation: man:core(5)
-- 
-- Process 21497 (dnf) crashed and dumped core.
-- 
-- This usually indicates a programming error in the crashing program and
-- should be reported to its vendor as a bug.
Okt 12 18:11:38 johnp-pc systemd[1]: systemd-coredump@0-22737-0.service: Succeeded.
-- Subject: Unit succeeded
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- The unit systemd-coredump@0-22737-0.service has successfully entered the 'dead' state.
Okt 12 18:11:38 johnp-pc audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@0-22737-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Okt 12 18:11:43 johnp-pc systemd[1]: Created slice system-dbus\x2d:1.4\x2dorg.freedesktop.problems.slice.
-- Subject: A start job for unit system-dbus\x2d:1.4\x2dorg.freedesktop.problems.slice has finished successfully
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- A start job for unit system-dbus\x2d:1.4\x2dorg.freedesktop.problems.slice has finished successfully.
-- 
-- The job identifier is 3861.
Okt 12 18:11:43 johnp-pc audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=dbus-:1.4-org.freedesktop.problems@0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Okt 12 18:11:43 johnp-pc systemd[1]: Started dbus-:1.4-org.freedesktop.problems@0.service.
-- Subject: A start job for unit dbus-:1.4-org.freedesktop.problems@0.service has finished successfully
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- A start job for unit dbus-:1.4-org.freedesktop.problems@0.service has finished successfully.
-- 
-- The job identifier is 3731.
Okt 12 18:11:43 johnp-pc abrt-notification[22874]: Process 21497 (python3.7) crashed in ??()
-- Subject: ABRT has detected unexpected termination: python3.7
-- Defined-By: ABRT
-- Support: https://bugzilla.redhat.com/
-- Documentation: man:abrt(1)
-- 
-- python3.7 killed by SIGABRT
-- 
-- Use the abrt command-line tool for further analysis or to report
-- the problem to the appropriate support site.
Okt 12 18:11:45 johnp-pc abrt-server[22827]: cp: cannot stat '/var/log/dnf.transaction.log': No such file or directory

Comment 1 Daniel Miranda 2019-10-27 13:28:15 UTC
I see this consistently with every DNF upgrade in F31 (with DNF 4.2.9-5.fc31).

Comment 2 Jaroslav Mracek 2019-11-01 13:50:40 UTC
It looks like that the issue could be related to https://bugzilla.redhat.com/show_bug.cgi?id=1750575.
It can be proven by remove step "rpm -e rpm-plugin-systemd-inhibit", if it stops happening after that it is supposed to be a duplicate. Please could you confirm that the issue is reproducible or not after removal step?

Comment 3 Johannes Pfrang 2019-11-02 00:42:34 UTC
I haven't seen this issue for a while (I've been installing stuff from updates-testing, including a some `rpm` updates), so it looks like maybe the `rpm` update may have indeed fixed it.
I didn't want to close this after Daniel reported seeing the same issue though, so if he can still reproduce the issue that'd be good.

Comment 4 Daniel Miranda 2019-11-14 03:19:34 UTC
I don't mind closing this if we already have a duplicate report. I did not get any updates to RPM, but haven't seen the issue again...

Comment 5 vijsingh 2020-01-06 15:38:14 UTC
Reopening the same Bugzilla as same issue has been noticed on RHEL 8.2 Beta as well:

here are related logs :
 Note: Client system register over Satellite.
_____________________________________________________________________________________
[root@aimee-wimes ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux release 8.2 Beta (Ootpa)
[root@aimee-wimes ~]# 



[root@aimee-wimes ~]# yum -y remove katello-agent
Updating Subscription Management repositories.
Dependencies resolved.
=============================================================================================================================================================================
 Package                            Architecture         Version                                             Repository                                                 Size
=============================================================================================================================================================================
Removing:
 katello-agent                      noarch               3.5.1-2.el8sat                                      @satellite-tools-6.5-for-rhel-8-x86_64-rpms               108 k
Removing unused dependencies:
 gofer                              noarch               2.12.5-3.el8sat                                     @satellite-tools-6.5-for-rhel-8-x86_64-rpms                31 k
 python3-gofer                      noarch               2.12.5-3.el8sat                                     @satellite-tools-6.5-for-rhel-8-x86_64-rpms               622 k
 python3-gofer-proton               noarch               2.12.5-3.el8sat                                     @satellite-tools-6.5-for-rhel-8-x86_64-rpms                65 k
 python3-pip                        noarch               9.0.3-15.el8                                        @Default_Organization_RHEL8_Prod_AppStream                2.8 k
 python3-qpid-proton                x86_64               0.28.0-1.el8                                        @satellite-tools-6.5-for-rhel-8-x86_64-rpms               2.0 M
 python36                           x86_64               3.6.8-2.module+el8.1.0+3334+5cb623d7                @Default_Organization_RHEL8_Prod_AppStream                 13 k
 qpid-proton-c                      x86_64               0.28.0-1.el8                                        @satellite-tools-6.5-for-rhel-8-x86_64-rpms               711 k

Transaction Summary
=============================================================================================================================================================================
Remove  8 Packages

Freed space: 3.5 M
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                                                                     1/1 
  Running scriptlet: katello-agent-3.5.1-2.el8sat.noarch                                                                                                                 1/1 
  Erasing          : katello-agent-3.5.1-2.el8sat.noarch                                                                                                                 1/8 
  Running scriptlet: katello-agent-3.5.1-2.el8sat.noarch                                                                                                                 1/8 
  Erasing          : python3-gofer-proton-2.12.5-3.el8sat.noarch                                                                                                         2/8 
  Running scriptlet: gofer-2.12.5-3.el8sat.noarch                                                                                                                        3/8 
  Erasing          : gofer-2.12.5-3.el8sat.noarch                                                                                                                        3/8 
warning: /etc/sysconfig/goferd saved as /etc/sysconfig/goferd.rpmsave

  Running scriptlet: gofer-2.12.5-3.el8sat.noarch                                                                                                                        3/8 
  Erasing          : python3-qpid-proton-0.28.0-1.el8.x86_64                                                                                                             4/8 
  Erasing          : python3-pip-9.0.3-15.el8.noarch                                                                                                                     5/8 
  Erasing          : python36-3.6.8-2.module+el8.1.0+3334+5cb623d7.x86_64                                                                                                6/8 
  Running scriptlet: python36-3.6.8-2.module+el8.1.0+3334+5cb623d7.x86_64                                                                                                6/8 
  Erasing          : python3-gofer-2.12.5-3.el8sat.noarch                                                                                                                7/8 
  Erasing          : qpid-proton-c-0.28.0-1.el8.x86_64                                                                                                                   8/8 
  Running scriptlet: qpid-proton-c-0.28.0-1.el8.x86_64                                                                                                                   8/8 
  Verifying        : gofer-2.12.5-3.el8sat.noarch                                                                                                                        1/8 
  Verifying        : katello-agent-3.5.1-2.el8sat.noarch                                                                                                                 2/8 
  Verifying        : python3-gofer-2.12.5-3.el8sat.noarch                                                                                                                3/8 
  Verifying        : python3-gofer-proton-2.12.5-3.el8sat.noarch                                                                                                         4/8 
  Verifying        : python3-pip-9.0.3-15.el8.noarch                                                                                                                     5/8 
  Verifying        : python3-qpid-proton-0.28.0-1.el8.x86_64                                                                                                             6/8 
  Verifying        : python36-3.6.8-2.module+el8.1.0+3334+5cb623d7.x86_64                                                                                                7/8 
  Verifying        : qpid-proton-c-0.28.0-1.el8.x86_64                                                                                                                   8/8 
Installed products updated.
Uploading Tracer Profile

Removed:
  katello-agent-3.5.1-2.el8sat.noarch                                 gofer-2.12.5-3.el8sat.noarch                     python3-gofer-2.12.5-3.el8sat.noarch                  
  python3-gofer-proton-2.12.5-3.el8sat.noarch                         python3-pip-9.0.3-15.el8.noarch                  python3-qpid-proton-0.28.0-1.el8.x86_64               
  python36-3.6.8-2.module+el8.1.0+3334+5cb623d7.x86_64                qpid-proton-c-0.28.0-1.el8.x86_64               

Complete!
dbus[3801]: arguments to dbus_connection_close() were incorrect, assertion "connection->generation == _dbus_current_generation" failed in file ../../dbus/dbus-connection.c line 2936.
This is normally a bug in some application using the D-Bus library.

  D-Bus not built with -rdynamic so unable to print a backtrace
Aborted (core dumped)

[root@aimee-wimes ~]# yum -y install  katello-agent
Updating Subscription Management repositories.
BaseOS                                                                                                                                        12 kB/s | 2.5 kB     00:00    
AppStream                                                                                                                                    9.9 kB/s | 2.9 kB     00:00    
Mode_Repo1                                                                                                                                   6.6 kB/s | 2.5 kB     00:00    
Red Hat Satellite Tools 6.5 for RHEL 8 x86_64 (RPMs)                                                                                         7.1 kB/s | 2.1 kB     00:00    
Dependencies resolved.
=============================================================================================================================================================================
 Package                            Architecture         Version                                              Repository                                                Size
=============================================================================================================================================================================
Installing:
 katello-agent                      noarch               3.5.1-2.el8sat                                       satellite-tools-6.5-for-rhel-8-x86_64-rpms                46 k
Installing dependencies:
 python36                           x86_64               3.6.8-2.module+el8.1.0+3334+5cb623d7                 Default_Organization_RHEL8_Prod_AppStream                 19 k
 python3-pip                        noarch               9.0.3-15.el8                                         Default_Organization_RHEL8_Prod_AppStream                 19 k
 python3-gofer                      noarch               2.12.5-3.el8sat                                      satellite-tools-6.5-for-rhel-8-x86_64-rpms               202 k
 python3-gofer-proton               noarch               2.12.5-3.el8sat                                      satellite-tools-6.5-for-rhel-8-x86_64-rpms                63 k
 python3-qpid-proton                x86_64               0.28.0-1.el8                                         satellite-tools-6.5-for-rhel-8-x86_64-rpms               358 k
 gofer                              noarch               2.12.5-3.el8sat                                      satellite-tools-6.5-for-rhel-8-x86_64-rpms                56 k
 qpid-proton-c                      x86_64               0.28.0-1.el8                                         satellite-tools-6.5-for-rhel-8-x86_64-rpms               194 k

Transaction Summary
=============================================================================================================================================================================
Install  8 Packages

Total download size: 957 k
Installed size: 3.5 M
Downloading Packages:
(1/8): python3-gofer-2.12.5-3.el8sat.noarch.rpm                                                                                              482 kB/s | 202 kB     00:00    
(2/8): python36-3.6.8-2.module+el8.1.0+3334+5cb623d7.x86_64.rpm                                                                               42 kB/s |  19 kB     00:00    
(3/8): python3-pip-9.0.3-15.el8.noarch.rpm                                                                                                    41 kB/s |  19 kB     00:00    
(4/8): python3-gofer-proton-2.12.5-3.el8sat.noarch.rpm                                                                                       289 kB/s |  63 kB     00:00    
(5/8): katello-agent-3.5.1-2.el8sat.noarch.rpm                                                                                               178 kB/s |  46 kB     00:00    
(6/8): python3-qpid-proton-0.28.0-1.el8.x86_64.rpm                                                                                           1.2 MB/s | 358 kB     00:00    
(7/8): gofer-2.12.5-3.el8sat.noarch.rpm                                                                                                      265 kB/s |  56 kB     00:00    
(8/8): qpid-proton-c-0.28.0-1.el8.x86_64.rpm                                                                                                 1.0 MB/s | 194 kB     00:00    
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                        1.0 MB/s | 957 kB     00:00     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                                                                     1/1 
  Installing       : python3-pip-9.0.3-15.el8.noarch                                                                                                                     1/8 
  Installing       : python36-3.6.8-2.module+el8.1.0+3334+5cb623d7.x86_64                                                                                                2/8 
  Running scriptlet: python36-3.6.8-2.module+el8.1.0+3334+5cb623d7.x86_64                                                                                                2/8 
  Installing       : python3-gofer-2.12.5-3.el8sat.noarch                                                                                                                3/8 
  Installing       : gofer-2.12.5-3.el8sat.noarch                                                                                                                        4/8 
  Running scriptlet: gofer-2.12.5-3.el8sat.noarch                                                                                                                        4/8 
  Installing       : qpid-proton-c-0.28.0-1.el8.x86_64                                                                                                                   5/8 
  Running scriptlet: qpid-proton-c-0.28.0-1.el8.x86_64                                                                                                                   5/8 
  Installing       : python3-qpid-proton-0.28.0-1.el8.x86_64                                                                                                             6/8 
  Installing       : python3-gofer-proton-2.12.5-3.el8sat.noarch                                                                                                         7/8 
  Installing       : katello-agent-3.5.1-2.el8sat.noarch                                                                                                                 8/8 
  Running scriptlet: katello-agent-3.5.1-2.el8sat.noarch                                                                                                                 8/8 
Created symlink /etc/systemd/system/multi-user.target.wants/goferd.service → /usr/lib/systemd/system/goferd.service.

  Verifying        : python36-3.6.8-2.module+el8.1.0+3334+5cb623d7.x86_64                                                                                                1/8 
  Verifying        : python3-pip-9.0.3-15.el8.noarch                                                                                                                     2/8 
  Verifying        : python3-gofer-2.12.5-3.el8sat.noarch                                                                                                                3/8 
  Verifying        : python3-gofer-proton-2.12.5-3.el8sat.noarch                                                                                                         4/8 
  Verifying        : katello-agent-3.5.1-2.el8sat.noarch                                                                                                                 5/8 
  Verifying        : python3-qpid-proton-0.28.0-1.el8.x86_64                                                                                                             6/8 
  Verifying        : gofer-2.12.5-3.el8sat.noarch                                                                                                                        7/8 
  Verifying        : qpid-proton-c-0.28.0-1.el8.x86_64                                                                                                                   8/8 
Installed products updated.
Uploading Tracer Profile

Installed:
  katello-agent-3.5.1-2.el8sat.noarch          python36-3.6.8-2.module+el8.1.0+3334+5cb623d7.x86_64  python3-pip-9.0.3-15.el8.noarch  python3-gofer-2.12.5-3.el8sat.noarch 
  python3-gofer-proton-2.12.5-3.el8sat.noarch  python3-qpid-proton-0.28.0-1.el8.x86_64               gofer-2.12.5-3.el8sat.noarch     qpid-proton-c-0.28.0-1.el8.x86_64    

Complete!
dbus[3216]: arguments to dbus_connection_close() were incorrect, assertion "connection->generation == _dbus_current_generation" failed in file ../../dbus/dbus-connection.c line 2936.
This is normally a bug in some application using the D-Bus library.

  D-Bus not built with -rdynamic so unable to print a backtrace
Aborted (core dumped)
_____________________________________________________________________________________

Comment 10 Jaroslav Mracek 2020-01-10 07:40:10 UTC
According to Panu Matilainen this is actually a problem in rpm systemd_inhibit plugin. Changing component to rpm.

Comment 11 Panu Matilainen 2020-01-10 08:30:15 UTC
In Fedora this has been fixed months ago.

In general, please avoid mixing information from RHEL and Fedora on the same bug unless specifically asked to do so. To get anything fixed in RHEL always requires a RHEL-specific bug.

*** This bug has been marked as a duplicate of bug 1750575 ***


Note You need to log in before you can comment on or make changes to this bug.